Skip to main content

Tags

Tags are hash-prefixed keywords or phrases that appear in the title, description, or comments of a dataset. Tags can be used to index datasets by their contained tags with a search, which allows for topical dataset categorisation.


Objects​

Tag​

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe tag ID
namestringThe tag name
usagenumberUnsigned integerNumber of times the tag is used within the workspace
{
"id" : "35a35772-22ef-4102-b5fd-f8595829ea99",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/tags/35a35772-22ef-4102-b5fd-f8595829ea99"
},
"search" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/search?q=tag%3Afantastic"
}
}
}

Requests​

View all tags in a workspace​

GET /api/workspaces/{workspace-id}/tags

Returns all tags in the workspace {workspace-id}.

Prerequisites​

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/tags' -i -X GET

Response​

200 OK

Tag collection with HAL links.

{
"_embedded" : {
"tags" : [ {
"id" : "35a35772-22ef-4102-b5fd-f8595829ea99",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/tags/35a35772-22ef-4102-b5fd-f8595829ea99"
},
"search" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/search?q=tag%3Afantastic"
}
}
}, {
"id" : "d8966cb9-1ea1-4995-921f-adac4b23ce6e",
"name" : "postgres",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/tags/d8966cb9-1ea1-4995-921f-adac4b23ce6e"
},
"search" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/search?q=tag%3Apostgres"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/tags"
}
}
}

View all tags in the news for a workspace​

GET /api/workspaces/{workspace-id}/news/tags

Returns all tags in the news for the workspace {workspace-id}.

Prerequisites​

  • Workspace {workspace-id} must exist

Response​

200 OK

Tag collection with HAL links.


View a tag in a workspace​

GET /api/workspaces/{workspace-id}/tags/{tag-id}

Returns the tag {tag-id} in the workspace {workspace-id}.

Prerequisites​

  • Workspace {workspace-id} must exist
  • Tag {tag-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/tags/35a35772-22ef-4102-b5fd-f8595829ea99' -i -X GET

Response​

200 OK

Tag with HAL links.

{
"id" : "35a35772-22ef-4102-b5fd-f8595829ea99",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/tags/35a35772-22ef-4102-b5fd-f8595829ea99"
},
"search" : {
"href" : "https://app.meltano.com/api/workspaces/3c9a9b78-9f73-48a3-b5cd-8fef6d109833/search?q=tag%3Afantastic"
}
}
}

See Also​